Subject: bug#13528: "find_emacs_zone_regions: too many regions" --with-wide-int on PPC 7447A Mac OS X 10.5.8

From: Peter Dyballa <[email-masked]>
Date: Wed, 23 Jan 2013 00:11:42 +0100

Am 22.01.2013 um 23:37 schrieb Paul Eggert:

> On 01/22/13 14:29, Peter Dyballa wrote:
>> BTW, how do I count these regions? On Mac OS X this count is not  
>> directly reported and I have no idea how determine the number.
>
> Sorry, I don't use OS X, I'm just trying to help remotely.
> I'd just take the number of text lines that look like
> those regions, as Emacs appears to output one line per region.

After the text "Dumping under the name emacs" follows

--- List of All Regions --- = 153 lines
+
--- List of Regions to be Dumped --- = 144 lines
followed by
--- Header Information ---

So it's presumingly 397 regions, less than the 400.

The 'make bootstrap' with -O0 fails as well.

I'm going to patch now…

--
Greetings

   Pete
               <\
                 \__     O                       __O
                 | O\   _\\/\-%                _`\<,
                 '()-'-(_)--(_)               (_)/(_)